* { box-sizing: border-box; }

/* ---- button ---- */
.button-group button{
    border: none;
}
.button {
    padding:8px 16px;
    background-color: #ffffff;
    cursor:pointer;
    color: #101820;
    margin: 0 8px;
    font-family: 'Open Sans', sans-serif;
    font-weight: 700;
    letter-spacing: 2px;
    text-transform: uppercase;
}

.button:hover {
}

.button:active,
.button.is-checked {

}

.button.is-checked {
    background-color: dodgerblue;
    color: white;
    border-radius: 4px;
 }

.button:active {
}

/* ---- button-group ---- */

.button-group:after {
  content: '';
  display: block;
  clear: both;
}

.button-group .button {

}



/* ---- grid ---- */

.grid {
  max-width: 1280px;
}

/* clear fix */
.grid:after {

}

/* ui group */

.ui-group {
    width: auto;
    margin: 0 auto;
    text-align: center;
    padding: 16px 0;
}

@media only screen and (max-width:767px){
    .ui-group{
        background-color: ;
        -webkit-box-shadow:0 2px 4px 0 rgba(50,50,50,.25);
        -moz-box-shadow:0 2px 4px 0 rgba(50,50,50,.25);
        box-shadow:0 2px 4px 0 rgba(50,50,50,.25);
        border: transparent;
    }
    
    .button{
        padding: 4px;
        letter-spacing: 0;
        margin:0 1%;
        background-color: transparent;
        color: #ffffff;
        -webkit-box-shadow:none;
        -moz-box-shadow:none;
        box-shadow:none;
        font-size: 12px;
    }
}

.ui-group h3 {

}

.ui-group .button-group {
}

/* color-shape */

.color-shape {
 
}




/* SAMPLE STYLES */

.sample-items{
    width:100%;
    margin: 0 auto;
}
.sample-item{
    width: 33.33%;
    height: 100px;
    margin: 0 auto 2% auto;
    cursor: pointer;
    position: relative;
    object-fit: cover;
    object-position: center;
    transform-origin: center;
}

@media only screen and (min-width:768px){
    .sample-item{
        height: 240px;
    }
}

.sample-shelf{
    width: 90%;
    height: 100%;
    background-color: white;
    overflow: hidden;
    position: absolute;
    display: inline-block;
    left: 50%;
    transform: translateX(-50%);
}

.sample-shelf::after{
    content:'';
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background-color: rgba(0, 152, 204,0.3);
    line-height: 250px;
    font-size: 1.8rem;
    font-family: 'Futura', sans-serif;
    text-transform: uppercase;
    color: white;
    opacity: 0;
    z-index: 1;
    transition: 0.3s all ease;
}

.sample-shelf::before{
    content: url(../images/view.svg);
    width: 50px;
    height: 50px;
    position: absolute;
    display: block;
    opacity: 0;
    transition: 0.3s all ease;
    z-index: 2;
    top: 55%;
    left: 50%;
    transform:translate(-55%,-50%);
    
}



.sample-shelf:hover::before,
.sample-shelf:hover::after{
    opacity: 1;
}
.sample-shelf:hover .sample-image{
    transform: scale(1.1)
}
.sample-item:hover .sample-link{
    opacity: 1;
}



.sample-link{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    z-index: 3;
    font-family: 'Futura', sans-serif;
    font-size: 1.8rem;
    font-weight: 700;
    text-transform: uppercase;
    opacity: 0;
    outline: 1px solid red;
    width: 100%;
    height: 100%;
}

.sample-link::before{
    content: url(../images/view.svg);
    opacity: 0;
    width: 50px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    display: block;
    z-index: 2;
    transition: 0.15s all ease-in;
}

.sample-shelf-item{

}

.sample-shelf-item span{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
}

.sample-shelf-image{
    width: 100%;
    height: 250px;
    background-size: cover;
    background-repeat: no-repeat;
    background-image: url(../images/sample-image.jpg);
    background-position: center; 
}


@media only screen and (max-width:1024px){

    .sample-image{
        width: auto;
        height: 150px;
    }
}

@media only screen and (max-width:767px){


    .sample-image{
        width: auto;
        height: 200px;
    }
}